Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing
Class RoutingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.routing.RoutingException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AggregationException, CouldNotRouteOutboundMessageException, DispatchException, ResponseTimeoutException, RoutePathNotFoundException

    public class RoutingException

extends MessagingException

`RoutingException` is a base class for all routing exceptions. Routing exceptions are only thrown for DefaultInboundRouterCollection and DefaultOutboundRouterCollection and deriving types. Mule itself does not throw routing exceptions when routing internal events.

See Also:
  Serialized Form

Field Summary
`protected MessageProcessor` | `route`

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`RoutingException(Message message, MuleEvent event, MessageProcessor route)`
`RoutingException(Message message, MuleEvent event, MessageProcessor route, Throwable cause)`
`RoutingException(Message message, MuleMessage muleMessage, MessageProcessor route)` Deprecated. use RoutingException(Message, MuleEvent, RoutingTarget)
`RoutingException(Message message, MuleMessage muleMessage, MessageProcessor route, Throwable cause)` Deprecated. use RoutingException(Message, MuleEvent, RoutingTarget, Throwable)
`RoutingException(MuleEvent event, MessageProcessor route)`
`RoutingException(MuleEvent event, MessageProcessor route, Throwable cause)`
`RoutingException(MuleMessage message, MessageProcessor route)` Deprecated. use RoutingException(MuleEvent, RoutingTarget)
`RoutingException(MuleMessage message, MessageProcessor route, Throwable cause)` Deprecated. use RoutingException(MuleEvent, RoutingTarget, Throwable)

Method Summary
`MessageProcessor` | `getRoute()`

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### route

    protected final transient MessageProcessor route

Constructor Detail

### RoutingException

    @Deprecated
    public RoutingException(MuleMessage message,
                                       MessageProcessor route)

  Deprecated. use RoutingException(MuleEvent, RoutingTarget)

### RoutingException

    public RoutingException(MuleEvent event,
                            MessageProcessor route)

### RoutingException

    @Deprecated
    public RoutingException(MuleMessage message,
                                       MessageProcessor route,
                                       Throwable cause)

  Deprecated. use RoutingException(MuleEvent, RoutingTarget, Throwable)

### RoutingException

    public RoutingException(MuleEvent event,
                            MessageProcessor route,
                            Throwable cause)

### RoutingException

    @Deprecated
    public RoutingException(Message message,
                                       MuleMessage muleMessage,
                                       MessageProcessor route)

  Deprecated. use RoutingException(Message, MuleEvent, RoutingTarget)

### RoutingException

    public RoutingException(Message message,
                            MuleEvent event,
                            MessageProcessor route)

### RoutingException

    @Deprecated
    public RoutingException(Message message,
                                       MuleMessage muleMessage,
                                       MessageProcessor route,
                                       Throwable cause)

  Deprecated. use RoutingException(Message, MuleEvent, RoutingTarget, Throwable)

### RoutingException

    public RoutingException(Message message,
                            MuleEvent event,
                            MessageProcessor route,
                            Throwable cause)

Method Detail

### getRoute

    public MessageProcessor getRoute()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.